当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]feisty下无法使用nvidia官方驱动~~
帖子发表于 : 2007-05-12 19:46 
头像

注册: 2007-02-24 22:01
帖子: 29
地址: GDUFS-GD-CHN
送出感谢: 0 次
接收感谢: 0 次
我在Xubuntu 7.04下安装NVIDIA-Linux-x86-1.0-9631-pkg1.run,安装过程一切顺利,但在重启X的时候发生了致命错误:
Failed to load the NVIDIA kernel module 。无论我试了多少次,依然无法解决,而且9629也有同样问题(会不会是系统的bug呢?)。我用的是GeForce4 MX4000,只能用96xx驱动。看着别人用Beryl那个爽,小弟我真是很羡慕啊~~请各位高手帮帮忙~~~[/code]


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-05-12 19:50 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install nvidia-glx 就可以安装9631的驱动, 何必舍近求远?


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-05-12 20:41 
头像

注册: 2007-02-24 22:01
帖子: 29
地址: GDUFS-GD-CHN
送出感谢: 0 次
接收感谢: 0 次
这个办法我当然试过,但是不成功。
nvidia-glx软件包依赖于nvidia-kernel-common等等相关的包,我在源上拿到的nvidia-glx版本是9631,可是nvidia-kernel-common版本却还是7184的,装是能装上,but一重启就进不了X,郁闷。
难道源上面的nvidia-kernel-common没有跟随版本号更新?抑或已经不需要这个包??
还有,安装linux-restricted-modules的时候同样要求安装nvidia-kernel-common,因为怕又进不了X,所以我没有装restricted-modules。为什么会这样??不解……
没办法只好去拿官方的binary来装,哪知道还是不行~~唉~~


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-05-12 22:00 

注册: 2005-12-14 4:37
帖子: 176
地址: 十堰
送出感谢: 0 次
接收感谢: 0 次
试试这个:
代码:
sudo aptitude install nvidia-glx
如果有提示,按照提示选择“Y”或“是”就OK了。

然后再执行:
代码:
sudo nvidia-xconfig


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-05-12 22:05 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
请检查你的源, 我严重怀疑你的在用edgy的源.


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-05-13 11:18 
头像

注册: 2007-02-24 22:01
帖子: 29
地址: GDUFS-GD-CHN
送出感谢: 0 次
接收感谢: 0 次
从edgy升到feisty之后用的都是feisty的源

请注意,我说的是我在安装从nvidia官方网站下载回来的NVIDIA-Linux-x86-1.0-9631-pkg1.run驱动包后启动X不成功。在X启动失败的提示中,它说加载nvidia内核模块失败。但是.run包安装过程中明明是有一个编译内核模块的过程。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-05-13 18:15 
头像

注册: 2007-02-24 22:01
帖子: 29
地址: GDUFS-GD-CHN
送出感谢: 0 次
接收感谢: 0 次
难道没人知道怎么解决吗???没人遇到过吗??


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译